Bug 111563 - Parameters referring to files should use the URLParameter
Parameters referring to files should use the URLParameter
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-05 09:50 EST by Daniel Berrange
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:29:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-12-05 09:50:59 EST
Description of problem:
There are several parameters which refer to files loaded via the
ClassLoader#getResource method which are represented as
StringParameter instances. To ensure validation these should be
switched to use URLParameter and the resource:/// protocol.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Some of the parameters are:

waf.templating.stylesheet_paths=/WEB-INF/resources/aplaws-stylesheet-paths.txt
com.arsdigita.cms.ContentSectionConfig.item_adapters_file=/WEB-INF/resources/aplaws-cms-item-adapters.xml
Comment 1 Daniel Berrange 2006-09-02 13:29:57 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.